## org.omg.CORBA
Class TRANSIENTHelper

    java.lang.Object
      |
      +--org.omg.CORBA.TRANSIENTHelper

public class TRANSIENTHelper
extends java.lang.Object

Helper class for : TRANSIENT

Author:
  OpenORB Compiler

Constructor Summary
`TRANSIENTHelper()`

Method Summary
`static TRANSIENT` `extract(Any a)` Extract TRANSIENT from an any
`static java.lang.String` `id()` Return the TRANSIENT IDL ID
`static void` `insert(Any a, TRANSIENT t)` Insert TRANSIENT into an any
`static TRANSIENT` `read(InputStream istream)` Read TRANSIENT from a marshalled stream
`static TypeCode` `type()` Return the TRANSIENT TypeCode
`static void` `write(OutputStream ostream, TRANSIENT value)` Write TRANSIENT into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TRANSIENTHelper

    public TRANSIENTHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TRANSIENT t)

  Insert TRANSIENT into an any
  Parameters:
    `a` - an any
    `t` - TRANSIENT value

### extract

    public static TRANSIENT extract(Any a)

  Extract TRANSIENT from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TRANSIENT value

### type

    public static TypeCode type()

  Return the TRANSIENT TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TRANSIENT IDL ID
  Returns:
    an ID

### read

    public static TRANSIENT read(InputStream istream)

  Read TRANSIENT from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TRANSIENT value

### write

    public static void write(OutputStream ostream,
                             TRANSIENT value)

  Write TRANSIENT into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TRANSIENT value